Commit a0b4bd07 authored by Gonzalo S Nido's avatar Gonzalo S Nido
Browse files

Fixed the subset of reads in aln

parent 02d96d05
......@@ -29,8 +29,8 @@ meth_prop=$( realpath ./apps/methylation_proportion.py )
# exit when any command fails
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'echo "\"${last_command}\" command filed with exit code $?"' EXIT
#trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
#trap 'echo "\"${last_command}\" command filed with exit code $?"' EXIT
if [[ $# -lt 3 ]]; then
echo "ERROR: Provide fastq files (R1 and R2) and the output folder!"
......@@ -134,8 +134,8 @@ echo "##################################################"
echo -ne " 1.1 Aligning... "
#CMD="${bismark} ${b38_ref} -1 ${R1} -2 ${R2} --multicore 8 \
CMD="${bismark} ${b38_ref} -1 ${R1} -2 ${R2} -u 10000 \
#CMD="${bismark} ${b38_ref} -1 ${R1} -2 ${R2} -u 10000 \
CMD="${bismark} ${b38_ref} -1 ${R1} -2 ${R2} --multicore 8 \
-o ${output_dir} --prefix b38 --path_to_bowtie ${bowtie_path} \
--samtools_path ${samtools_path} > ${log_dir}/1_1_aln.stdout 2> ${log_dir}/1_1_aln.stderr"
echo -e ${CMD} > ${log_dir}/1_1_aln.cmd
......@@ -259,8 +259,8 @@ echo "##################################################"
echo -ne " 2.1 Aligning... "
#CMD="${bismark} ${mt_ref} -1 ${R1} -2 ${R2} --multicore 8 \
CMD="${bismark} ${mt_ref} -1 ${R1} -2 ${R2} -u 10000 \
#CMD="${bismark} ${mt_ref} -1 ${R1} -2 ${R2} -u 10000 \
CMD="${bismark} ${mt_ref} -1 ${R1} -2 ${R2} --multicore 8 \
-o ${output_dir} --prefix MT --path_to_bowtie ${bowtie_path} \
--samtools_path ${samtools_path} > ${log_dir}/2_1_aln.stdout 2> ${log_dir}/2_1_aln.stderr"
echo -e ${CMD} > ${log_dir}/2_1_aln.cmd
......@@ -359,8 +359,8 @@ echo "##################################################"
echo -ne " 3.1 Aligning vs nuclear DNA... "
#CMD="${bismark} ${nuc_ref} -1 ${R1} -2 ${R2} --multicore 8 \
CMD="${bismark} ${nuc_ref} -1 ${R1} -2 ${R2} -u 10000 \
#CMD="${bismark} ${nuc_ref} -1 ${R1} -2 ${R2} -u 10000 \
CMD="${bismark} ${nuc_ref} -1 ${R1} -2 ${R2} --multicore 8 \
--un --ambiguous -o ${output_dir} --prefix b38_noMT --path_to_bowtie ${bowtie_path} \
--samtools_path ${samtools_path} > ${log_dir}/3_1_aln.stdout 2> ${log_dir}/3_1_aln.stderr"
echo -e ${CMD} > ${log_dir}/3_1_aln.cmd
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment